Index: protocols/Makefile
===================================================================
--- protocols/Makefile	(revision 51a799ef9c2a144bf3edc58130bfc1e275cdd53f)
+++ protocols/Makefile	(revision 04dc563f2a30476bf96e72ce3e66cb5a8b2606d3)
@@ -8,4 +8,7 @@
 
 -include ../Makefile.settings
+ifdef SRCDIR
+SRCDIR := $(SRCDIR)protocols/
+endif
 
 # [SH] Program variables
@@ -49,5 +52,5 @@
 $(objects): ../Makefile.settings Makefile
 
-$(objects): %.o: %.c
+$(objects): %.o: $(SRCDIR)%.c
 	@echo '*' Compiling $<
 	@$(CC) -c $(CFLAGS) $< -o $@
Index: protocols/jabber/Makefile
===================================================================
--- protocols/jabber/Makefile	(revision 51a799ef9c2a144bf3edc58130bfc1e275cdd53f)
+++ protocols/jabber/Makefile	(revision 04dc563f2a30476bf96e72ce3e66cb5a8b2606d3)
@@ -8,4 +8,7 @@
 
 -include ../../Makefile.settings
+ifdef SRCDIR
+SRCDIR := $(SRCDIR)protocols/jabber/
+endif
 
 # [SH] Program variables
@@ -33,5 +36,5 @@
 $(objects): ../../Makefile.settings Makefile
 
-$(objects): %.o: %.c
+$(objects): %.o: $(SRCDIR)%.c
 	@echo '*' Compiling $<
 	@$(CC) -c $(CFLAGS) $< -o $@
Index: protocols/msn/Makefile
===================================================================
--- protocols/msn/Makefile	(revision 51a799ef9c2a144bf3edc58130bfc1e275cdd53f)
+++ protocols/msn/Makefile	(revision 04dc563f2a30476bf96e72ce3e66cb5a8b2606d3)
@@ -8,4 +8,7 @@
 
 -include ../../Makefile.settings
+ifdef SRCDIR
+SRCDIR := $(SRCDIR)protocols/msn/
+endif
 
 # [SH] Program variables
@@ -33,5 +36,5 @@
 $(objects): ../../Makefile.settings Makefile
 
-$(objects): %.o: %.c
+$(objects): %.o: $(SRCDIR)%.c
 	@echo '*' Compiling $<
 	@$(CC) -c $(CFLAGS) $< -o $@
Index: protocols/oscar/Makefile
===================================================================
--- protocols/oscar/Makefile	(revision 51a799ef9c2a144bf3edc58130bfc1e275cdd53f)
+++ protocols/oscar/Makefile	(revision 04dc563f2a30476bf96e72ce3e66cb5a8b2606d3)
@@ -8,4 +8,8 @@
 
 -include ../../Makefile.settings
+ifdef SRCDIR
+SRCDIR := $(SRCDIR)protocols/oscar/
+CFLAGS += -I$(SRCDIR)
+endif
 
 # [SH] Program variables
@@ -33,5 +37,5 @@
 $(objects): ../../Makefile.settings Makefile
 
-$(objects): %.o: %.c
+$(objects): %.o: $(SRCDIR)%.c
 	@echo '*' Compiling $<
 	@$(CC) -c $(CFLAGS) $< -o $@
Index: protocols/purple/Makefile
===================================================================
--- protocols/purple/Makefile	(revision 51a799ef9c2a144bf3edc58130bfc1e275cdd53f)
+++ protocols/purple/Makefile	(revision 04dc563f2a30476bf96e72ce3e66cb5a8b2606d3)
@@ -8,4 +8,7 @@
 
 -include ../../Makefile.settings
+ifdef SRCDIR
+SRCDIR := $(SRCDIR)protocols/purple/
+endif
 
 # [SH] Program variables
@@ -33,5 +36,5 @@
 $(objects): ../../Makefile.settings Makefile
 
-$(objects): %.o: %.c
+$(objects): %.o: $(SRCDIR)%.c
 	@echo '*' Compiling $<
 	@$(CC) -c $(CFLAGS) $< -o $@
Index: protocols/twitter/Makefile
===================================================================
--- protocols/twitter/Makefile	(revision 51a799ef9c2a144bf3edc58130bfc1e275cdd53f)
+++ protocols/twitter/Makefile	(revision 04dc563f2a30476bf96e72ce3e66cb5a8b2606d3)
@@ -8,4 +8,7 @@
 
 -include ../../Makefile.settings
+ifdef SRCDIR
+SRCDIR := $(SRCDIR)protocols/twitter/
+endif
 
 # [SH] Program variables
@@ -33,5 +36,5 @@
 $(objects): ../../Makefile.settings Makefile
 
-$(objects): %.o: %.c
+$(objects): %.o: $(SRCDIR)%.c
 	@echo '*' Compiling $<
 	@$(CC) -c $(CFLAGS) $< -o $@
Index: protocols/yahoo/Makefile
===================================================================
--- protocols/yahoo/Makefile	(revision 51a799ef9c2a144bf3edc58130bfc1e275cdd53f)
+++ protocols/yahoo/Makefile	(revision 04dc563f2a30476bf96e72ce3e66cb5a8b2606d3)
@@ -8,4 +8,7 @@
 
 -include ../../Makefile.settings
+ifdef SRCDIR
+SRCDIR := $(SRCDIR)protocols/yahoo/
+endif
 
 # [SH] Program variables
@@ -33,5 +36,5 @@
 $(objects): ../../Makefile.settings Makefile
 
-$(objects): %.o: %.c
+$(objects): %.o: $(SRCDIR)%.c
 	@echo '*' Compiling $<
 	@$(CC) -c $(CFLAGS) $< -o $@
